profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/gururajrkatti/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
gururajrkatti IBM Bengaluru Working with IBM for enabling ppc64le CI

gururajrkatti/abyss 0

:microscope: Assemble large genomes using short reads

gururajrkatti/activemq-artemis 0

Mirror of Apache ActiveMQ Artemis

gururajrkatti/affine 0

Affine transformation matrices

gururajrkatti/aioamqp 0

AMQP implementation using asyncio

gururajrkatti/aiohttp-security 0

auth and permissions for aiohttp

gururajrkatti/aioopenssl 0

(START-)TLS-capable transport using OpenSSL for asyncio

gururajrkatti/aliyun-sts-go-sdk 0

Aliyun STS SDK for Go

gururajrkatti/almond 0

A minimal AMD API implementation for use after optimized builds

gururajrkatti/angular-local-storage 0

An AngularJS module that gives you access to the browsers local storage with cookie fallback

gururajrkatti/apicurio-studio 0

Open Source API Design

PR opened ppc64le/build-scripts

Create zap_ubi_8.4.sh
  1. Without argument [testw@b1282dca4700 ~]$ ./zap_ubi_8.4.sh Note: switching to 'v1.19.1'.

You are in 'detached HEAD' state. You can look around, make experimental changes and commit them, and you can discard any commits you make in this state without impacting any branches by switching back to a branch.

If you want to create a new branch to retain commits you create, you may do so (now or later) by using -c with the switch command. Example:

git switch -c <new-branch-name>

Or undo this operation with:

git switch -

Turn off this advice by setting config variable advice.detachedHead to false

HEAD is now at eaeb0fc Preparing release v1.19.1 (#1005) cd tools && go install golang.org/x/lint/golint go: downloading golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5 cd tools && go install honnef.co/go/tools/cmd/staticcheck go: downloading honnef.co/go/tools v0.0.1-2019.2.3 go: downloading github.com/BurntSushi/toml v0.3.1 Checking formatting... Checking vet... go: downloading github.com/apex/log v1.1.1 go: downloading github.com/sirupsen/logrus v1.4.2 go: downloading github.com/go-kit/kit v0.9.0 go: downloading github.com/rs/zerolog v1.16.0 go: downloading gopkg.in/inconshreveable/log15.v2 v2.0.0-20180818164646-67afb5ed74ec go: downloading github.com/go-stack/stack v1.8.0 go: downloading github.com/mattn/go-isatty v0.0.8 go: downloading github.com/mattn/go-colorable v0.1.2 go: downloading github.com/go-logfmt/logfmt v0.4.0 go: downloading google.golang.org/grpc v1.35.0 Checking lint... Checking staticcheck... Checking for unresolved FIXMEs... Checking for license headers... Checking 'go mod tidy'... make[1]: Entering directory '/home/testw/zap' go: downloading github.com/konsorten/go-windows-terminal-sequences v1.0.1 go: downloading github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515 make[1]: Leaving directory '/home/testw/zap' go test -race -coverprofile=cover.out -coverpkg=./... ./... ok go.uber.org/zap 0.003s ok go.uber.org/zap/buffer 0.003s ? go.uber.org/zap/internal/bufferpool [no test files] ok go.uber.org/zap/internal/color 0.003s ok go.uber.org/zap/internal/exit 0.003s ? go.uber.org/zap/internal/readme [no test files] ? go.uber.org/zap/internal/ztest [no test files] ok go.uber.org/zap/zapcore 0.003s ok go.uber.org/zap/zapgrpc 0.002s ok go.uber.org/zap/zapio 0.002s ok go.uber.org/zap/zaptest 0.011s ok go.uber.org/zap/zaptest/observer 0.003s go tool cover -html=cover.out -o cover.html goos: linux goarch: ppc64le pkg: go.uber.org/zap BenchmarkBoolsArrayMarshaler-2 394386 2762 ns/op 1136 B/op 4 allocs/op BenchmarkBoolsReflect-2 222140 5284 ns/op 2272 B/op 7 allocs/op BenchmarkNoContext-2 1781156 691 ns/op 0 B/op 0 allocs/op BenchmarkBoolField-2 1340401 889 ns/op 64 B/op 1 allocs/op BenchmarkByteStringField-2 1216417 985 ns/op 96 B/op 2 allocs/op BenchmarkFloat64Field-2 1218192 956 ns/op 64 B/op 1 allocs/op BenchmarkIntField-2 1231594 883 ns/op 64 B/op 1 allocs/op BenchmarkInt64Field-2 1000000 1015 ns/op 64 B/op 1 allocs/op BenchmarkStringField-2 1323388 940 ns/op 64 B/op 1 allocs/op BenchmarkStringerField-2 1000000 1011 ns/op 64 B/op 1 allocs/op BenchmarkTimeField-2 1275721 995 ns/op 64 B/op 1 allocs/op BenchmarkDurationField-2 1206717 1021 ns/op 64 B/op 1 allocs/op BenchmarkErrorField-2 1000000 1049 ns/op 64 B/op 1 allocs/op BenchmarkErrorsField-2 604431 2001 ns/op 96 B/op 2 allocs/op BenchmarkStackField-2 279128 4496 ns/op 528 B/op 3 allocs/op BenchmarkObjectField-2 948226 1459 ns/op 64 B/op 1 allocs/op BenchmarkReflectField-2 453918 2791 ns/op 192 B/op 3 allocs/op BenchmarkAddCallerHook-2 514231 2243 ns/op 248 B/op 3 allocs/op Benchmark10Fields-2 610845 2082 ns/op 640 B/op 1 allocs/op Benchmark100Fields-2 69691 15781 ns/op 1248 B/op 5 allocs/op BenchmarkTakeStacktrace-2 355167 3620 ns/op 416 B/op 2 allocs/op BenchmarkSugarSingleStrArg-2 598058 3139 ns/op 884 B/op 0 allocs/op PASS ok go.uber.org/zap 35.094s goos: linux goarch: ppc64le pkg: go.uber.org/zap/buffer BenchmarkBuffers/ByteSlice-2 28241698 46.0 ns/op 0 B/op 0 allocs/op BenchmarkBuffers/BytesBuffer-2 22358008 53.7 ns/op 0 B/op 0 allocs/op BenchmarkBuffers/CustomBuffer-2 29091940 45.9 ns/op 0 B/op 0 allocs/op PASS ok go.uber.org/zap/buffer 4.109s ? go.uber.org/zap/internal/bufferpool [no test files] PASS ok go.uber.org/zap/internal/color 0.208s PASS ok go.uber.org/zap/internal/exit 0.207s ? go.uber.org/zap/internal/readme [no test files] ? go.uber.org/zap/internal/ztest [no test files] goos: linux goarch: ppc64le pkg: go.uber.org/zap/zapcore BenchmarkBufferedWriteSyncer/write_file_with_buffer-2 1418644 865 ns/op 16 B/op 1 allocs/op BenchmarkMultiWriteSyncer/2_discarder-2 12539677 95.4 ns/op 16 B/op 1 allocs/op BenchmarkMultiWriteSyncer/4_discarder-2 7152842 168 ns/op 16 B/op 1 allocs/op BenchmarkMultiWriteSyncer/4_discarder_with_buffer-2 8522800 149 ns/op 16 B/op 1 allocs/op BenchmarkWriteSyncer/write_file_with_no_buffer-2 143896 7191 ns/op 16 B/op 1 allocs/op BenchmarkZapConsole-2 391482 3337 ns/op 1360 B/op 7 allocs/op BenchmarkJSONLogMarshalerFunc-2 990484 1280 ns/op 1312 B/op 5 allocs/op BenchmarkZapJSON-2 604744 2034 ns/op 1296 B/op 4 allocs/op BenchmarkStandardJSON-2 169219 7127 ns/op 1440 B/op 27 allocs/op BenchmarkSampler_Check/7_keys-2 14098281 84.8 ns/op 0 B/op 0 allocs/op BenchmarkSampler_Check/50_keys-2 12919261 92.6 ns/op 0 B/op 0 allocs/op BenchmarkSampler_Check/100_keys-2 12317451 92.6 ns/op 0 B/op 0 allocs/op BenchmarkSampler_CheckWithHook/7_keys-2 12068632 98.3 ns/op 0 B/op 0 allocs/op BenchmarkSampler_CheckWithHook/50_keys-2 11283566 106 ns/op 0 B/op 0 allocs/op BenchmarkSampler_CheckWithHook/100_keys-2 11145037 107 ns/op 0 B/op 0 allocs/op BenchmarkTeeCheck-2 1000000 1153 ns/op 64 B/op 1 allocs/op PASS ok go.uber.org/zap/zapcore 25.087s PASS ok go.uber.org/zap/zapgrpc 0.207s goos: linux goarch: ppc64le pkg: go.uber.org/zap/zapio BenchmarkWriter/single-2 1275765 910 ns/op 16 B/op 2 allocs/op BenchmarkWriter/splits-2 1000000 1065 ns/op 16 B/op 2 allocs/op PASS ok go.uber.org/zap/zapio 3.311s PASS ok go.uber.org/zap/zaptest 0.206s PASS ok go.uber.org/zap/zaptest/observer 0.210s goos: linux goarch: ppc64le pkg: go.uber.org/zap/benchmarks BenchmarkDisabledWithoutFields/Zap-2 34938741 34.2 ns/op 0 B/op 0 allocs/op BenchmarkDisabledWithoutFields/Zap.Check-2 40052432 28.2 ns/op 0 B/op 0 allocs/op BenchmarkDisabledWithoutFields/Zap.Sugar-2 18173349 73.5 ns/op 16 B/op 1 allocs/op BenchmarkDisabledWithoutFields/Zap.SugarFormatting-2 3772063 323 ns/op 176 B/op 6 allocs/op BenchmarkDisabledWithoutFields/apex/log-2 131426854 9.14 ns/op 0 B/op 0 allocs/op BenchmarkDisabledWithoutFields/sirupsen/logrus-2 23988552 42.8 ns/op 16 B/op 1 allocs/op BenchmarkDisabledWithoutFields/rs/zerolog-2 253629414 4.73 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAccumulatedContext/Zap-2 34812612 34.3 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAccumulatedContext/Zap.Check-2 41148483 28.7 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAccumulatedContext/Zap.Sugar-2 19108582 73.8 ns/op 16 B/op 1 allocs/op BenchmarkDisabledAccumulatedContext/Zap.SugarFormatting-2 3258434 372 ns/op 176 B/op 6 allocs/op BenchmarkDisabledAccumulatedContext/apex/log-2 376536751 3.19 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAccumulatedContext/sirupsen/logrus-2 29359976 46.1 ns/op 16 B/op 1 allocs/op BenchmarkDisabledAccumulatedContext/rs/zerolog-2 238722466 4.68 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAddingFields/Zap-2 1428266 783 ns/op 768 B/op 5 allocs/op BenchmarkDisabledAddingFields/Zap.Check-2 40694670 29.4 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAddingFields/Zap.Sugar-2 3022178 338 ns/op 176 B/op 6 allocs/op BenchmarkDisabledAddingFields/apex/log-2 553491 1961 ns/op 1214 B/op 11 allocs/op BenchmarkDisabledAddingFields/sirupsen/logrus-2 377395 3133 ns/op 1565 B/op 12 allocs/op BenchmarkDisabledAddingFields/rs/zerolog-2 4512680 235 ns/op 128 B/op 4 allocs/op BenchmarkWithoutFields/Zap-2 1521726 741 ns/op 0 B/op 0 allocs/op BenchmarkWithoutFields/Zap.Check-2 1622779 880 ns/op 0 B/op 0 allocs/op BenchmarkWithoutFields/Zap.CheckSampled-2 3335959 341 ns/op 0 B/op 0 allocs/op BenchmarkWithoutFields/Zap.Sugar-2 1221842 1112 ns/op 16 B/op 1 allocs/op BenchmarkWithoutFields/Zap.SugarFormatting-2 58875 20688 ns/op 2049 B/op 58 allocs/op BenchmarkWithoutFields/apex/log-2 243505 5113 ns/op 344 B/op 6 allocs/op BenchmarkWithoutFields/go-kit/kit/log-2 779440 1649 ns/op 640 B/op 11 allocs/op BenchmarkWithoutFields/inconshreveable/log15-2 113604 10622 ns/op 1552 B/op 22 allocs/op BenchmarkWithoutFields/sirupsen/logrus-2 167656 7495 ns/op 1192 B/op 24 allocs/op BenchmarkWithoutFields/stdlib.Println-2 1442185 838 ns/op 80 B/op 2 allocs/op BenchmarkWithoutFields/stdlib.Printf-2 70854 18127 ns/op 2049 B/op 58 allocs/op BenchmarkWithoutFields/rs/zerolog-2 2374957 508 ns/op 0 B/op 0 allocs/op BenchmarkWithoutFields/rs/zerolog.Formatting-2 60156 18758 ns/op 2048 B/op 58 allocs/op BenchmarkWithoutFields/rs/zerolog.Check-2 2369050 501 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/Zap-2 1503462 861 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/Zap.Check-2 1421872 795 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/Zap.CheckSampled-2 3399656 345 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/Zap.Sugar-2 1000000 1096 ns/op 16 B/op 1 allocs/op BenchmarkAccumulatedContext/Zap.SugarFormatting-2 59908 20242 ns/op 2049 B/op 58 allocs/op BenchmarkAccumulatedContext/apex/log-2 16527 74095 ns/op 3396 B/op 55 allocs/op BenchmarkAccumulatedContext/go-kit/kit/log-2 31815 34615 ns/op 3782 B/op 58 allocs/op BenchmarkAccumulatedContext/inconshreveable/log15-2 24001 50762 ns/op 3534 B/op 72 allocs/op BenchmarkAccumulatedContext/sirupsen/logrus-2 15279 78186 ns/op 4160 B/op 68 allocs/op BenchmarkAccumulatedContext/rs/zerolog-2 2250970 535 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/rs/zerolog.Check-2 2237383 536 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/rs/zerolog.Formatting-2 66408 18298 ns/op 2049 B/op 58 allocs/op BenchmarkAddingFields/Zap-2 166806 7099 ns/op 768 B/op 5 allocs/op BenchmarkAddingFields/Zap.Check-2 169375 7032 ns/op 768 B/op 5 allocs/op BenchmarkAddingFields/Zap.CheckSampled-2 559672 2021 ns/op 200 B/op 1 allocs/op BenchmarkAddingFields/Zap.Sugar-2 134359 8549 ns/op 1553 B/op 10 allocs/op BenchmarkAddingFields/apex/log-2 15925 75152 ns/op 4608 B/op 66 allocs/op BenchmarkAddingFields/go-kit/kit/log-2 33666 32698 ns/op 3448 B/op 59 allocs/op BenchmarkAddingFields/inconshreveable/log15-2 15085 80376 ns/op 6568 B/op 76 allocs/op BenchmarkAddingFields/sirupsen/logrus-2 14980 81645 ns/op 5710 B/op 79 allocs/op BenchmarkAddingFields/rs/zerolog-2 44920 26681 ns/op 2561 B/op 32 allocs/op BenchmarkAddingFields/rs/zerolog.Check-2 45030 26992 ns/op 2561 B/op 32 allocs/op PASS ok go.uber.org/zap/benchmarks 88.827s PASS ok go.uber.org/zap/zapgrpc/internal/test 0.209s [testw@b1282dca4700 ~]$

  1. With valid argument [testw@b1282dca4700 ~]$ ./zap_ubi_8.4.sh v1.18.1 Updating Subscription Management repositories. Unable to read consumer identity

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

Last metadata expiration check: 0:22:35 ago on Tue Oct 26 06:17:36 2021. Dependencies resolved. Nothing to do. Complete! Updating Subscription Management repositories. Unable to read consumer identity

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

Last metadata expiration check: 0:22:37 ago on Tue Oct 26 06:17:36 2021. Package git-2.27.0-1.el8.ppc64le is already installed. Package make-1:4.2.1-10.el8.ppc64le is already installed. Dependencies resolved. Nothing to do. Complete! Cloning into 'zap'... remote: Enumerating objects: 3105, done. remote: Counting objects: 100% (325/325), done. remote: Compressing objects: 100% (193/193), done. remote: Total 3105 (delta 163), reused 238 (delta 118), pack-reused 2780 Receiving objects: 100% (3105/3105), 1.23 MiB | 5.31 MiB/s, done. Resolving deltas: 100% (2138/2138), done. Note: switching to 'v1.18.1'.

You are in 'detached HEAD' state. You can look around, make experimental changes and commit them, and you can discard any commits you make in this state without impacting any branches by switching back to a branch.

If you want to create a new branch to retain commits you create, you may do so (now or later) by using -c with the switch command. Example:

git switch -c <new-branch-name>

Or undo this operation with:

git switch -

Turn off this advice by setting config variable advice.detachedHead to false

HEAD is now at 120b08c Release v1.18.1, fix panic cd tools && go install golang.org/x/lint/golint cd tools && go install honnef.co/go/tools/cmd/staticcheck Checking formatting... Checking vet... go: downloading golang.org/x/sys v0.0.0-20190422165155-953cdadca894 Checking lint... Checking staticcheck... Checking for unresolved FIXMEs... Checking for license headers... Checking 'go mod tidy'... make[1]: Entering directory '/home/testw/zap' make[1]: Leaving directory '/home/testw/zap' go test -race -coverprofile=cover.out -coverpkg=./... ./... ok go.uber.org/zap 0.003s ok go.uber.org/zap/buffer 0.004s ? go.uber.org/zap/internal/bufferpool [no test files] ok go.uber.org/zap/internal/color 0.003s ok go.uber.org/zap/internal/exit 0.002s ? go.uber.org/zap/internal/readme [no test files] ? go.uber.org/zap/internal/ztest [no test files] ok go.uber.org/zap/zapcore 0.003s ok go.uber.org/zap/zapgrpc 0.003s ok go.uber.org/zap/zapio 0.003s ok go.uber.org/zap/zaptest 0.003s ok go.uber.org/zap/zaptest/observer 0.003s go tool cover -html=cover.out -o cover.html goos: linux goarch: ppc64le pkg: go.uber.org/zap BenchmarkBoolsArrayMarshaler-2 484220 2933 ns/op 1136 B/op 4 allocs/op BenchmarkBoolsReflect-2 225289 5551 ns/op 2272 B/op 7 allocs/op BenchmarkNoContext-2 1489881 793 ns/op 0 B/op 0 allocs/op BenchmarkBoolField-2 1000000 1095 ns/op 64 B/op 1 allocs/op BenchmarkByteStringField-2 1000000 1036 ns/op 96 B/op 2 allocs/op BenchmarkFloat64Field-2 1000000 1149 ns/op 64 B/op 1 allocs/op BenchmarkIntField-2 1056836 961 ns/op 64 B/op 1 allocs/op BenchmarkInt64Field-2 1000000 1099 ns/op 64 B/op 1 allocs/op BenchmarkStringField-2 1000000 1130 ns/op 64 B/op 1 allocs/op BenchmarkStringerField-2 1101945 1195 ns/op 64 B/op 1 allocs/op BenchmarkTimeField-2 1000000 1163 ns/op 64 B/op 1 allocs/op BenchmarkDurationField-2 1000000 1134 ns/op 64 B/op 1 allocs/op BenchmarkErrorField-2 1000000 1262 ns/op 64 B/op 1 allocs/op BenchmarkErrorsField-2 499552 2213 ns/op 96 B/op 2 allocs/op BenchmarkStackField-2 272470 4818 ns/op 528 B/op 3 allocs/op BenchmarkObjectField-2 873466 1451 ns/op 64 B/op 1 allocs/op BenchmarkReflectField-2 387614 3101 ns/op 192 B/op 3 allocs/op BenchmarkAddCallerHook-2 492240 2493 ns/op 248 B/op 3 allocs/op Benchmark10Fields-2 525018 2380 ns/op 640 B/op 1 allocs/op Benchmark100Fields-2 83902 15571 ns/op 1250 B/op 5 allocs/op BenchmarkTakeStacktrace-2 319028 3695 ns/op 416 B/op 2 allocs/op BenchmarkSugarSingleStrArg-2 447955 2292 ns/op 944 B/op 0 allocs/op PASS ok go.uber.org/zap 31.567s goos: linux goarch: ppc64le pkg: go.uber.org/zap/buffer BenchmarkBuffers/ByteSlice-2 28650404 41.8 ns/op 0 B/op 0 allocs/op BenchmarkBuffers/BytesBuffer-2 24610584 49.0 ns/op 0 B/op 0 allocs/op BenchmarkBuffers/CustomBuffer-2 28214059 41.4 ns/op 0 B/op 0 allocs/op PASS ok go.uber.org/zap/buffer 3.909s ? go.uber.org/zap/internal/bufferpool [no test files] PASS ok go.uber.org/zap/internal/color 0.206s PASS ok go.uber.org/zap/internal/exit 0.206s ? go.uber.org/zap/internal/readme [no test files] ? go.uber.org/zap/internal/ztest [no test files] goos: linux goarch: ppc64le pkg: go.uber.org/zap/zapcore BenchmarkBufferedWriteSyncer/write_file_with_buffer-2 1029945 1221 ns/op 16 B/op 1 allocs/op BenchmarkMultiWriteSyncer/2_discarder-2 12157590 97.8 ns/op 16 B/op 1 allocs/op BenchmarkMultiWriteSyncer/4_discarder-2 6068521 174 ns/op 16 B/op 1 allocs/op BenchmarkMultiWriteSyncer/4_discarder_with_buffer-2 9057584 179 ns/op 16 B/op 1 allocs/op BenchmarkWriteSyncer/write_file_with_no_buffer-2 175429 6912 ns/op 16 B/op 1 allocs/op BenchmarkZapConsole-2 320341 3801 ns/op 1360 B/op 7 allocs/op BenchmarkJSONLogMarshalerFunc-2 751935 1388 ns/op 1312 B/op 5 allocs/op BenchmarkZapJSON-2 511905 2352 ns/op 1296 B/op 4 allocs/op BenchmarkStandardJSON-2 160162 7107 ns/op 1440 B/op 27 allocs/op BenchmarkSampler_Check/7_keys-2 9579940 105 ns/op 0 B/op 0 allocs/op BenchmarkSampler_Check/50_keys-2 12099420 98.2 ns/op 0 B/op 0 allocs/op BenchmarkSampler_Check/100_keys-2 11630049 103 ns/op 0 B/op 0 allocs/op BenchmarkSampler_CheckWithHook/7_keys-2 10717869 112 ns/op 0 B/op 0 allocs/op BenchmarkSampler_CheckWithHook/50_keys-2 9374341 129 ns/op 0 B/op 0 allocs/op BenchmarkSampler_CheckWithHook/100_keys-2 9323029 121 ns/op 0 B/op 0 allocs/op BenchmarkTeeCheck-2 1000000 1356 ns/op 64 B/op 1 allocs/op PASS ok go.uber.org/zap/zapcore 24.521s PASS ok go.uber.org/zap/zapgrpc 0.206s goos: linux goarch: ppc64le pkg: go.uber.org/zap/zapio BenchmarkWriter/single-2 1000000 1016 ns/op 16 B/op 2 allocs/op BenchmarkWriter/splits-2 1000000 1155 ns/op 16 B/op 2 allocs/op PASS ok go.uber.org/zap/zapio 2.311s PASS ok go.uber.org/zap/zaptest 0.206s PASS ok go.uber.org/zap/zaptest/observer 0.211s goos: linux goarch: ppc64le pkg: go.uber.org/zap/benchmarks BenchmarkDisabledWithoutFields/Zap-2 33468762 33.8 ns/op 0 B/op 0 allocs/op BenchmarkDisabledWithoutFields/Zap.Check-2 42414922 28.3 ns/op 0 B/op 0 allocs/op BenchmarkDisabledWithoutFields/Zap.Sugar-2 19975668 64.7 ns/op 16 B/op 1 allocs/op BenchmarkDisabledWithoutFields/Zap.SugarFormatting-2 3750379 323 ns/op 176 B/op 6 allocs/op BenchmarkDisabledWithoutFields/apex/log-2 127716972 8.42 ns/op 0 B/op 0 allocs/op BenchmarkDisabledWithoutFields/sirupsen/logrus-2 28067559 44.8 ns/op 16 B/op 1 allocs/op BenchmarkDisabledWithoutFields/rs/zerolog-2 275768046 4.38 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAccumulatedContext/Zap-2 35267186 34.5 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAccumulatedContext/Zap.Check-2 41453120 28.6 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAccumulatedContext/Zap.Sugar-2 19550422 64.9 ns/op 16 B/op 1 allocs/op BenchmarkDisabledAccumulatedContext/Zap.SugarFormatting-2 3334375 348 ns/op 176 B/op 6 allocs/op BenchmarkDisabledAccumulatedContext/apex/log-2 364897525 3.24 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAccumulatedContext/sirupsen/logrus-2 29140617 45.7 ns/op 16 B/op 1 allocs/op BenchmarkDisabledAccumulatedContext/rs/zerolog-2 261446030 4.61 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAddingFields/Zap-2 1501252 834 ns/op 768 B/op 5 allocs/op BenchmarkDisabledAddingFields/Zap.Check-2 40403290 29.1 ns/op 0 B/op 0 allocs/op BenchmarkDisabledAddingFields/Zap.Sugar-2 3561403 363 ns/op 176 B/op 6 allocs/op BenchmarkDisabledAddingFields/apex/log-2 660768 2063 ns/op 1214 B/op 11 allocs/op BenchmarkDisabledAddingFields/sirupsen/logrus-2 379928 3294 ns/op 1564 B/op 12 allocs/op BenchmarkDisabledAddingFields/rs/zerolog-2 4642561 242 ns/op 128 B/op 4 allocs/op BenchmarkWithoutFields/Zap-2 1547443 774 ns/op 0 B/op 0 allocs/op BenchmarkWithoutFields/Zap.Check-2 1605727 841 ns/op 0 B/op 0 allocs/op BenchmarkWithoutFields/Zap.CheckSampled-2 3326514 342 ns/op 0 B/op 0 allocs/op BenchmarkWithoutFields/Zap.Sugar-2 1370410 951 ns/op 16 B/op 1 allocs/op BenchmarkWithoutFields/Zap.SugarFormatting-2 57726 20994 ns/op 2049 B/op 58 allocs/op BenchmarkWithoutFields/apex/log-2 239210 5041 ns/op 344 B/op 6 allocs/op BenchmarkWithoutFields/go-kit/kit/log-2 782689 1657 ns/op 640 B/op 11 allocs/op BenchmarkWithoutFields/inconshreveable/log15-2 105980 10642 ns/op 1552 B/op 22 allocs/op BenchmarkWithoutFields/sirupsen/logrus-2 165393 7447 ns/op 1192 B/op 24 allocs/op BenchmarkWithoutFields/stdlib.Println-2 1487479 805 ns/op 80 B/op 2 allocs/op BenchmarkWithoutFields/stdlib.Printf-2 68617 17403 ns/op 2049 B/op 58 allocs/op BenchmarkWithoutFields/rs/zerolog-2 2391080 510 ns/op 0 B/op 0 allocs/op BenchmarkWithoutFields/rs/zerolog.Formatting-2 67188 18244 ns/op 2049 B/op 58 allocs/op BenchmarkWithoutFields/rs/zerolog.Check-2 2312866 501 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/Zap-2 1358745 804 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/Zap.Check-2 1315629 826 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/Zap.CheckSampled-2 3345681 345 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/Zap.Sugar-2 1000000 1089 ns/op 16 B/op 1 allocs/op BenchmarkAccumulatedContext/Zap.SugarFormatting-2 59560 20388 ns/op 2050 B/op 58 allocs/op BenchmarkAccumulatedContext/apex/log-2 16668 72413 ns/op 3394 B/op 55 allocs/op BenchmarkAccumulatedContext/go-kit/kit/log-2 34581 34449 ns/op 3780 B/op 58 allocs/op BenchmarkAccumulatedContext/inconshreveable/log15-2 23769 50623 ns/op 3535 B/op 72 allocs/op BenchmarkAccumulatedContext/sirupsen/logrus-2 15603 76667 ns/op 4160 B/op 68 allocs/op BenchmarkAccumulatedContext/rs/zerolog-2 2143245 535 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/rs/zerolog.Check-2 2233826 536 ns/op 0 B/op 0 allocs/op BenchmarkAccumulatedContext/rs/zerolog.Formatting-2 67161 18380 ns/op 2048 B/op 58 allocs/op BenchmarkAddingFields/Zap-2 169708 7079 ns/op 768 B/op 5 allocs/op BenchmarkAddingFields/Zap.Check-2 172804 7100 ns/op 768 B/op 5 allocs/op BenchmarkAddingFields/Zap.CheckSampled-2 557506 2181 ns/op 211 B/op 1 allocs/op BenchmarkAddingFields/Zap.Sugar-2 144529 8514 ns/op 1553 B/op 10 allocs/op BenchmarkAddingFields/apex/log-2 15903 74485 ns/op 4612 B/op 66 allocs/op BenchmarkAddingFields/go-kit/kit/log-2 32185 35657 ns/op 3448 B/op 59 allocs/op BenchmarkAddingFields/inconshreveable/log15-2 15062 80054 ns/op 6564 B/op 76 allocs/op BenchmarkAddingFields/sirupsen/logrus-2 13900 85764 ns/op 5710 B/op 79 allocs/op BenchmarkAddingFields/rs/zerolog-2 43778 26786 ns/op 2561 B/op 32 allocs/op BenchmarkAddingFields/rs/zerolog.Check-2 44992 28536 ns/op 2561 B/op 32 allocs/op PASS ok go.uber.org/zap/benchmarks 88.404s PASS ok go.uber.org/zap/zapgrpc/internal/test 0.207s [testw@b1282dca4700 ~]$

  1. With invalid argument [testw@b1282dca4700 ~]$ ./zap_ubi_8.4.sh v1.0 Updating Subscription Management repositories. Unable to read consumer identity

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

Last metadata expiration check: 0:28:27 ago on Tue Oct 26 06:17:36 2021. Dependencies resolved. Nothing to do. Complete! Updating Subscription Management repositories. Unable to read consumer identity

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

Last metadata expiration check: 0:28:29 ago on Tue Oct 26 06:17:36 2021. Package git-2.27.0-1.el8.ppc64le is already installed. Package make-1:4.2.1-10.el8.ppc64le is already installed. Dependencies resolved. Nothing to do. Complete! Cloning into 'zap'... remote: Enumerating objects: 3105, done. remote: Counting objects: 100% (325/325), done. remote: Compressing objects: 100% (193/193), done. remote: Total 3105 (delta 163), reused 238 (delta 118), pack-reused 2780 Receiving objects: 100% (3105/3105), 1.23 MiB | 6.19 MiB/s, done. Resolving deltas: 100% (2138/2138), done. error: pathspec 'v1.0' did not match any file(s) known to git [testw@b1282dca4700 ~]$

+242 -0

0 comment

2 changed files

pr created time in 40 minutes

push eventgururajrkatti/build-scripts

gururajrkatti

commit sha 99882993b28d73787c2d9698196c0164ce1cbc2c

Create zap_ubi_8.4.sh

view details

push time in 44 minutes

push eventgururajrkatti/build-scripts

gururajrkatti

commit sha b2d58b53d3c256ad8f3a499aa1afc00254b46d1c

Create zap_ubi_8.4.sh

view details

push time in an hour

Pull request review commentppc64le/build-scripts

Adding build script api_ubi_8.3.sh

+# ----------------------------------------------------------------------------+#+# Package               : api+# Version               : 0.10.6,0.3.7 +# Source repo           : https://github.com/operator-framework/api+# Tested on             : UBI 8.3+# Script License        : Apache License, Version 2 or later+# Passing Arguments     : Passing Arguments: 1.Version of package,+# Script License        : Apache License, Version 2 or later+# Maintainer            : Arumugam N S<asellappen@yahoo.com>/Priya Seth<sethp@us.ibm.com>+#+# Disclaimer            : This script has been tested in non-root mode on given+# ==========  platform using the mentioned version of the package.+#             It may not work as expected with newer versions of the+#             package and/or distribution. In such case, please+#             contact "Maintainer" of this script.+#+# ----------------------------------------------------------------------------++#!/bin/bash++if [ -z "$1" ]; then+  export VERSION=master

Can we mention the latest version tested here as default?

asellappen

comment created time in 2 hours

PullRequestReviewEvent

Pull request review commentppc64le/build-scripts

Adding build script api_ubi_8.3.sh

+# ----------------------------------------------------------------------------+#+# Package               : api+# Version               : 0.10.6,0.3.7 +# Source repo           : https://github.com/operator-framework/api+# Tested on             : UBI 8.3+# Script License        : Apache License, Version 2 or later+# Passing Arguments     : Passing Arguments: 1.Version of package,+# Script License        : Apache License, Version 2 or later+# Maintainer            : Arumugam N S<asellappen@yahoo.com>/Priya Seth<sethp@us.ibm.com>+#+# Disclaimer            : This script has been tested in non-root mode on given+# ==========  platform using the mentioned version of the package.+#             It may not work as expected with newer versions of the+#             package and/or distribution. In such case, please+#             contact "Maintainer" of this script.+#+# ----------------------------------------------------------------------------++#!/bin/bash++if [ -z "$1" ]; then+  export VERSION=master+else+  export VERSION=$1+fi++if [ -d "api" ] ; then+  rm -rf api+fi+# make sure to install make go under /root+# Dependency installation+cd+sudo dnf install -y git make wget tar gcc+sudo wget https://golang.org/dl/go1.16.7.linux-ppc64le.tar.gz+sudo tar -xvf go1.16.7.linux-ppc64le.tar.gz+export PATH=/root/go/bin:$PATH+export GOPATH=/root/go/bin+export GOBIN=$GOPATH/bin++# Download the repos+git clone https://github.com/operator-framework/api++# Build and Test api+cd  api+git checkout $VERSION+ret=$?+if [ $ret -eq 0 ] ; then+ echo "$VERSION found to checkout "+else+ echo "$VERSION not found "+ exit+fi+#verify build only for latest versions

Is there any issue in running "verify" for requested version ?

asellappen

comment created time in 2 hours

Pull request review commentppc64le/build-scripts

Adding build script api_ubi_8.3.sh

+# ----------------------------------------------------------------------------+#+# Package               : api+# Version               : 0.10.6,0.3.7 +# Source repo           : https://github.com/operator-framework/api+# Tested on             : UBI 8.3+# Script License        : Apache License, Version 2 or later+# Passing Arguments     : Passing Arguments: 1.Version of package,+# Script License        : Apache License, Version 2 or later+# Maintainer            : Arumugam N S<asellappen@yahoo.com>/Priya Seth<sethp@us.ibm.com>+#+# Disclaimer            : This script has been tested in non-root mode on given+# ==========  platform using the mentioned version of the package.+#             It may not work as expected with newer versions of the+#             package and/or distribution. In such case, please+#             contact "Maintainer" of this script.+#+# ----------------------------------------------------------------------------++#!/bin/bash++if [ -z "$1" ]; then+  export VERSION=master+else+  export VERSION=$1+fi++if [ -d "api" ] ; then+  rm -rf api+fi+# make sure to install make go under /root+# Dependency installation+cd+sudo dnf install -y git make wget tar gcc+sudo wget https://golang.org/dl/go1.16.7.linux-ppc64le.tar.gz+sudo tar -xvf go1.16.7.linux-ppc64le.tar.gz+export PATH=/root/go/bin:$PATH+export GOPATH=/root/go/bin+export GOBIN=$GOPATH/bin

There is bin already in the GOPATH, is there one more bin under it ?

asellappen

comment created time in 2 hours

PullRequestReviewEvent

Pull request review commentppc64le/build-scripts

Adding build script api_ubi_8.3.sh

+# ----------------------------------------------------------------------------+#+# Package               : api+# Version               : 0.10.6,0.3.7 +# Source repo           : https://github.com/operator-framework/api+# Tested on             : UBI 8.3+# Script License        : Apache License, Version 2 or later+# Passing Arguments     : Passing Arguments: 1.Version of package,+# Script License        : Apache License, Version 2 or later+# Maintainer            : Arumugam N S<asellappen@yahoo.com>/Priya Seth<sethp@us.ibm.com>+#+# Disclaimer            : This script has been tested in non-root mode on given+# ==========  platform using the mentioned version of the package.+#             It may not work as expected with newer versions of the+#             package and/or distribution. In such case, please+#             contact "Maintainer" of this script.+#+# ----------------------------------------------------------------------------++#!/bin/bash++if [ -z "$1" ]; then+  export VERSION=master+else+  export VERSION=$1+fi++if [ -d "api" ] ; then+  rm -rf api+fi+# make sure to install make go under /root+# Dependency installation+cd+sudo dnf install -y git make wget tar gcc+sudo wget https://golang.org/dl/go1.16.7.linux-ppc64le.tar.gz+sudo tar -xvf go1.16.7.linux-ppc64le.tar.gz+export PATH=/root/go/bin:$PATH

Should not be hardcoding the path like this ? Also we need to run it as "root" ?

asellappen

comment created time in 2 hours

PullRequestReviewEvent
PullRequestReviewEvent

pull request commentppc64le/build-scripts

Create yaml_ubi_8.4.sh

@ezeeyahoo can you pl. review

santosh653

comment created time in a day

pull request commentppc64le/build-scripts

Adding build script for the package.

@ezeeyahoo can you pl. review this

santosh653

comment created time in a day

Pull request review commentppc64le/build-scripts

Adding build script curr_ubi_8.3.sh

+#----------------------------------------------------------------------------+#+# Package               : curr+# Version               : 1.0.0+# Source repo           : https://github.com/otiai10/curr+# Tested on             : UBI 8.3+# Script License        : Apache License, Version 2 or later+# Passing Arguments     : Passing Arguments: 1.Version of package,+# Script License        : Apache License, Version 2 or later+# Maintainer            : Arumugam N S<asellappen@yahoo.com>/Priya Seth<sethp@us.ibm.com>+#+# Disclaimer            : This script has been tested in non-root mode on given+# ==========  platform using the mentioned version of the package.+#             It may not work as expected with newer versions of the+#             package and/or distribution. In such case, please+#             contact "Maintainer" of this script.+#+# ----------------------------------------------------------------------------++#!/bin/bash++if [ -z "$1" ]; then+  export VERSION='v1.0.0'+else+  export VERSION=$1+fi++if [ -d "curr" ] ; then+  rm -rf curr+fi+#make sure to install under home path+cd+sudo dnf install -y git make wget tar gcc+sudo wget https://golang.org/dl/go1.16.7.linux-ppc64le.tar.gz+sudo tar -xvf go1.16.7.linux-ppc64le.tar.gz+export PATH=~/go/bin:$PATH+export GOPATH=~/go/bin+export GOBIN=$GOPATH/bin

There is already bin included in the GOPATH. is there one more bin here ?

asellappen

comment created time in a day

PullRequestReviewEvent
PullRequestReviewEvent
PullRequestReviewEvent

Pull request review commentppc64le/build-scripts

Build script for envy golang package

+#!/usr/bin/env bash+# ----------------------------------------------------------------------------+#+# Package        : Envy+# Version        : 1.7.1 - latest+# Source repo    : https://github.com/gobuffalo/envy+# Tested on      : Ubi 8.3 + Go latest version (v1.7.1)+# Script License : Apache 2.0+# Maintainer     : Eshant Gupta <eshant.gupta@ibm.com>; Priya Seth <sethp@us.ibm.com>+#+# Disclaimer: This script has been tested in root mode on given+# ==========  platform using the mentioned version of the package.+#             It may not work as expected with newer versions of the+#             package and/or distribution. In such case, please+#             contact "Maintainer" of this script.+#+# Usage: ./envy_ubi_8.3.sh+#                  OR+# 	 ./envy_ubi_8.3.sh v1.7.1+# ----------------------------------------------------------------------------++source ~/.profile+set_env=false++# Get sudo access+[ "$UID" -eq 0 ] || exec sudo bash "$0" "$@"++function usage() {+	echo "$1 accepts 0 or maximum 1 argument"+	exit 1+}++if [ "$#" -gt 1	]+then+	usage "$(basename $0)"+else+	[ -n "$1" ] && export TAGS="$1" || export TAGS=""+fi++# check installed Golang+[ -n $(which go) ] && [[ $(go version) > 1.6 ]] && set_env=true++# setup Golang+if ! $set_env+then++    cd "$HOME/$USER"+    mkdir golang go && sudo yum install git wget curl make gcc -y+    [ $? != 0 ] && echo "Installation Failed" && exit 1++    echo "Finding latest version of Go for PPC64LE..."+    latest=$(curl https://golang.org/VERSION?m=text)++    echo "Downloading latest Go for PPC64LE: ${latest}"+    $(wget https://dl.google.com/go/${latest}.linux-ppc64le.tar.gz)+    tar -C golang -xzf "${latest}".linux-ppc64le.tar.gz++    echo "Create the skeleton for your local users go directory"+    mkdir -p go/{bin,pkg,src}++    echo "Setting up GOPATH"+    echo "export GOPATH=$(pwd)/go" >> .profile && source .profile++    echo "Setting PATH to include golang binaries"+    echo "export PATH='$PATH':$(pwd)/golang/go/bin:$GOPATH/bin" >> .profile && source .profile++fi++# install envy package+GO111MODULE="off" go get github.com/gobuffalo/envy+[ $? != 0 ] && exit 1+cd $GOPATH/src/github.com/gobuffalo/envy+make deps && make build && make test+[ $? != 0 ] && exit 1

Can we not have a check something like below before doing mkdir ?

if [ -d "asttokens" ] ; then rm -rf asttokens fi

ezeeyahoo

comment created time in 5 days

PullRequestReviewEvent

Pull request review commentppc64le/build-scripts

Build script for envy golang package

+#!/usr/bin/env bash+# ----------------------------------------------------------------------------+#+# Package        : Envy+# Version        : 1.7.1 - latest+# Source repo    : https://github.com/gobuffalo/envy+# Tested on      : Ubi 8.3 + Go latest version (v1.7.1)+# Script License : Apache 2.0+# Maintainer     : Eshant Gupta <eshant.gupta@ibm.com>; Priya Seth <sethp@us.ibm.com>+#+# Disclaimer: This script has been tested in root mode on given+# ==========  platform using the mentioned version of the package.+#             It may not work as expected with newer versions of the+#             package and/or distribution. In such case, please+#             contact "Maintainer" of this script.+#+# Usage: ./envy_ubi_8.3.sh+#                  OR+# 	 ./envy_ubi_8.3.sh v1.7.1+# ----------------------------------------------------------------------------++source ~/.profile

ok

ezeeyahoo

comment created time in 5 days

PullRequestReviewEvent

Pull request review commentppc64le/build-scripts

Build script for envy golang package

+#!/usr/bin/env bash+# ----------------------------------------------------------------------------+#+# Package        : Envy+# Version        : 1.7.1 - latest+# Source repo    : https://github.com/gobuffalo/envy+# Tested on      : Ubi 8.3 + Go latest version (v1.7.1)+# Script License : Apache 2.0+# Maintainer     : Eshant Gupta <eshant.gupta@ibm.com>; Priya Seth <sethp@us.ibm.com>+#+# Disclaimer: This script has been tested in root mode on given+# ==========  platform using the mentioned version of the package.+#             It may not work as expected with newer versions of the+#             package and/or distribution. In such case, please+#             contact "Maintainer" of this script.+#+# Usage: ./envy_ubi_8.3.sh

Yes. You can put it outside the standard header.

ezeeyahoo

comment created time in 5 days

delete branch gururajrkatti/build-scripts

delete branch : patch-41

delete time in 5 days

delete branch gururajrkatti/build-scripts

delete branch : patch-18

delete time in 5 days

Pull request review commentppc64le/build-scripts

Adding script go-kmsg-parser_ubi_8.3.sh

+# ----------------------------------------------------------------------------+#+# Package               : go-kmsg-parser+# Version               : 2.0.1,2.1.0+# Source repo           : https://github.com/euank/go-kmsg-parser+# Tested on             : UBI 8.3+# Script License        : Apache License, Version 2 or later+# Passing Arguments     : Passing Arguments: 1.Version of package,+# Script License        : Apache License, Version 2 or later+# Maintainer            : Arumugam N S<asellappen@yahoo.com>/Priya Seth<sethp@us.ibm.com>+#+# Disclaimer            : This script has been tested in non-root mode on given+# ==========  platform using the mentioned version of the package.+#             It may not work as expected with newer versions of the+#             package and/or distribution. In such case, please+#             contact "Maintainer" of this script.+#+# ----------------------------------------------------------------------------++#!/bin/bash++if [ -z "$1" ]; then+  export VERSION=master

Can we mention the latest version tested (2.1.0 ??) as the default here ?

asellappen

comment created time in 5 days

PullRequestReviewEvent
PullRequestReviewEvent
PullRequestReviewEvent

pull request commentppc64le/build-scripts

Create archiver_ubi_8.4.sh

@ezeeyahoo can you pl. review

nageshlop

comment created time in 5 days

pull request commentppc64le/build-scripts

Fastjson

@santosh653 can you pl. review

genisysram

comment created time in 5 days